/*-----------------------------------------------------------
* 文件说明：科威盒子导航系统默认模板首页Js文件（含注释版）
* 修改时间：2010年1月28日21:35:39 By:C034
* 内部版本：10001
* 适用版本：V1.0
* 科威工作室版权所有 (C) All Rights Reserved.
* http://www.kewei8.com/
-----------------------------------------------------------*/
var SearchType = 'baidu'; //定义默认搜索引擎

/*-------------------------
* 函数功能：改变新闻标题
* 函数形参：Id（标题编号）
-------------------------*/
function ChangeNewsTitle(Id)
{
	$('.news_title:eq(0)').css('background','url(templates/box/kwbox/images/news_title_bg'+Id+'.png)');
	$('#news1').hide(0);
	$('#news2').hide(0);
	$('#news3').hide(0);
	$('#news'+Id).show(0);
	return true;
}
/*-------------------------
* 函数功能：显示搜索引擎列表
* 函数形参：无
-------------------------*/
function ShowSearchTab()
{
	$('#search_tab').css("visibility","visible");
	return true;
}
/*-------------------------
* 函数功能：关闭搜索引擎列表
* 函数形参：无
-------------------------*/
function HideSearchTab()
{
	$('#search_tab').css("visibility","hidden");
	return true;
}
/*-------------------------
* 函数功能：显示邮箱登录窗口
* 函数形参：无
-------------------------*/
function ShowMailLogin()
{
	$("#mail_con").css('visibility','visible');
	return true;
}
/*-------------------------
* 函数功能：关闭邮箱登录窗口
* 函数形参：无
-------------------------*/
function HideMailLogin()
{
	$("#mail_con").css('visibility','hidden');
	return true;
}
/*-------------------------
* 函数功能：显示热门关键字
* 函数形参：无
-------------------------*/
function ShowTop10()
{
	$('#key_top_10').css('visibility','visible');
	return true;
}
/*-------------------------
* 函数功能：隐藏热门关键字
* 函数形参：无
-------------------------*/
function HideTop10()
{
	$('#key_top_10').css('visibility','hidden');
	return true;
}
/*-------------------------
* 函数功能：打开自定网址设置
* 函数形参：Id（自定网址编号）
-------------------------*/
function ShowCSBox(Id)
{
	$('#CSBox').css('top',400+Id*35);
	$('#CSBox').css('visibility','visible');
	$('#CSId').attr('value',Id);
	return true;
}
/*-------------------------
* 函数功能：关闭自定网址设置
* 函数形参：无
-------------------------*/
function CloseCSBox()
{
	$('#CSBox').css('visibility','hidden');
	return true;
}
/*-------------------------
* 函数功能：设置自定网址
* 函数形参：无
-------------------------*/
function ChangeCustom()
{
	$('#CSBox').css('visibility','hidden');
	var Id = $('#CSId').attr('value');
	var Name = $('#CSName').attr('value');
	var Link = $('#CSLink').attr('value');
	var Logo = $('#CSLogo').attr('value');
	if(Logo=="http://")
		$('#sim_logo'+Id).attr('src',"slogo/noimg.png");
	else
		$('#sim_logo'+Id).attr('src',Logo);
	$('#sim_logo'+Id).attr('alt',Name);
	$('#sim_link'+Id).attr('href',Link);
	$('#sim_link'+Id).html(Name);
	WriteCookie('sim_logo'+Id,Logo,999999);
	WriteCookie('sim_link'+Id,Link,999999);
	WriteCookie('sim_name'+Id,Name,999999);
	WriteCookie('isset'+Id,'ok',999999);
	return true;
}
/*-------------------------
* 函数功能：更新用户自定网址
* 函数形参：无
-------------------------*/
function UpdataCustom()
{
	for(i=1;i<5;++i)
	{
		if(ReadCookie('isset'+i)=="ok")
		{
			if(ReadCookie('sim_logo'+i)=="http://")
				$('#sim_logo'+i).attr('src',"slogo/noimg.png");
			else
				$('#sim_logo'+i).attr('src',ReadCookie('sim_logo'+i));
			$('#sim_logo'+i).attr('alt',ReadCookie('sim_name'+i));
			$('#sim_link'+i).attr('href',ReadCookie('sim_link'+i));
			$('#sim_link'+i).html(ReadCookie('sim_name'+i));
		}
	}
	return true;
}
/*-------------------------
* 函数功能：复原用户自定网址
* 函数形参：无
-------------------------*/
function ResetCustom()
{
	for(i=1;i<5;++i)
	{
		WriteCookie('isset'+i,0,-999999);
	}
	window.history.go(0);
	return true;
}
/*-------------------------
* 函数功能：显示播放列表
* 函数形参：无
-------------------------*/
/*function ShowPlaylist()
{
	if($('#container').css('display')=='none')
	{
		$('#container').fadeIn(500);		
		$('#showlist').html("隐藏列表");
	}
	else
	{
		$('#container').fadeOut(500);		
		$('#showlist').html("显示列表");
	}
	return true;
}*/
/*-------------------------
* 函数功能：添加音乐
* 函数形参：无
-------------------------*/
/*function AddMusic()
{
	Name = $("#m_name").val();
	Link = $("#m_link").val();
	$("#pl_ul").html($("#pl_ul").html()+"<li><span>"+Name+"</span><div>"+Link+"</div><img src=\"templates/kwbox/images/m_delete.gif\" onclick=\"DelMusic(this)\" align=\"删除\"/><img src=\"templates/kwbox/images/m_play.gif\" onclick=\"PlayMusic(this)\" align=\"播放\"/></li>");
	List = $('#pl_ul').html();
	$.post("../include/music.php","type=change&name="+"&list="+List,function(data){if(data!='ok'){alert("错误，请更换浏览器再试！")}});
	return true;
}*/
/*-------------------------
* 函数功能：删除音乐
* 函数形参：Id（音乐编号）
-------------------------*/
/*function DeleteMusic(Id)
{
	$.get("../include/music.php","type=delete&id="+Id,function(data){if(data!='ok'){alert("错误，请更换浏览器再试！")}else{RefreshMusic()}});
	return true;
}*/
/*-------------------------
* 函数功能：用户登录
* 函数形参：无
-------------------------*/
function Login(Id)
{
	var username = $("#username").val();
	var password = $("#password").val();
	$("#login_form").animate({opacity:0.5},0);
	$.get("./member/ajax_user.php","type=login&username="+username+"&password="+password,function(data){LoginCallback(data)});
	return true;
}
/*-------------------------
* 函数功能：用户登录回调函数
* 函数形参：Id回调编号
-------------------------*/
function LoginCallback(Id)
{
	switch(Id)
	{
		case '1001':
			alert("用户名不存在。");
		break;
		
		case '1002':
			alert("密码不正确。");
		break;
		
		case '1003':
			var username = $("#username").val();
			$("#wel_user").html(username);
			WriteCookie('LoginId',username,999999);
			$("#login_form").fadeOut(0);
			$("#user_info").fadeIn(500);
		break;
	}
	$("#login_form").animate({opacity:1},0);
}
/*-------------------------
* 函数功能：登出
* 函数形参：none
-------------------------*/
function Logout()
{
	DelCookie('LoginId');
	return;
}
/*-------------------------
* 函数功能：写入Cookie
* 函数形参：Name（Cookie名）,Value（Cookie值）,Hours（保存时间）
-------------------------*/
function WriteCookie(name, value, hours)
{
  var expire = "";
  if(hours != null)
  {
    expire = new Date((new Date()).getTime() + hours * 3600000);
    expire = "; expires=" + expire.toGMTString();
  }
  document.cookie = name + "=" + escape(value) + expire;
}
/*-------------------------
* 函数功能：读取Cookie
* 函数形参：Name（Cookie名）
-------------------------*/
function ReadCookie(name)
{
  var cookieValue = "";
  var search = name + "=";
  if(document.cookie.length > 0)
  { 
    offset = document.cookie.indexOf(search);
    if (offset != -1)
    { 
      offset += search.length;
      end = document.cookie.indexOf(";", offset);
      if (end == -1) end = document.cookie.length;
      cookieValue = unescape(document.cookie.substring(offset, end))
    }
  }
  return cookieValue;
}
/*-------------------------
* 函数功能：删除Cookie
* 函数形参：name（Cookie名）
-------------------------*/
function DelCookie(name)
{
	var date = new Date();
	date.setTime(date.getTime()-10000);
	document.cookie = name+"=; expire="+date.toGMTString();
	return;
}
/*-------------------------
* 函数功能：改变搜索引擎
* 函数形参：Id（搜索引擎编号）
-------------------------*/
function ChangeSearchTab(Id,Obj)
{
	SearchType = Id;
	$('#search_name').html($(Obj).html());
	ShowSearchTab();
	switch(Id)
	{
	case 'google':
	  $('#search_form').attr('action','http://www.google.com.hk/search');
	  $('#keywords').attr('name','q');
      break;
	case 'baidu':
	  $('#search_form').attr('action','http://www.baidu.com/s');
	  $('#keywords').attr('name','word');
      break;
	case 'mp3':
	  $('#search_form').attr('action','http://mp3.baidu.com/m');
	  $('#keywords').attr('name','word');
	  $('#cts').attr('value','134217728');
      break;
	case 'images':
	  $('#search_form').attr('action','http://image.baidu.com/i');
	  $('#keywords').attr('name','word');
	  $('#cts').attr('value','201326592');
      break;
	case 'zhidao':
	  $('#search_form').attr('action','http://zhidao.baidu.com/q');
	  $('#keywords').attr('name','word');
	  $('#cts').attr('value','17');
	  $('#tns').attr('value','ikaslist');
      break;
	case 'news':
	  $('#search_form').attr('action','http://news.baidu.com/ns');
	  $('#keywords').attr('name','word');
	  $('#tns').attr('value','news');
      break;
	case 'video':
	  $('#search_form').attr('action','http://video.baidu.com/v');
	  $('#keywords').attr('name','word');
	  $('#cts').attr('value','301989888');
      break;
	case 'tieba':
	  $('#search_form').attr('action','http://tieba.baidu.com/f');
	  $('#keywords').attr('name','kw');
      break;
	}
	return true;
}

/*-------------------------
* 自动加载
-------------------------*/
$(function(){
  /*-------------------------
  * 搜索引擎列表背景切换
  -------------------------*/
  $.each( $('#search_tab li'),function(){
	$(this).bind('mouseover',function(){$(this).css('background-color','#C1E8F9');});
	$(this).bind('mouseout',function(){$(this).css('background-color','#fff');});
  });
  /*-------------------------
  * 热门关键字背景切换
  -------------------------*/
  $.each( $('#key_top_10 li'),function(){
	$(this).bind('mouseover',function(){$(this).css('background-color','#C1E8F9');});
	$(this).bind('mouseout',function(){$(this).css('background-color','#fff');});
  });
  /*-------------------------
  * 邮箱登录列表背景切换
  -------------------------*/
  $.each( $('#mail_con li'),function(){
	$(this).bind('mouseover',function(){$(this).css('background-color','#C1E8F9');});
	$(this).bind('mouseout',function(){$(this).css('background-color','#fff');});
	$(this).bind('click',function(){ShowMailLogin()});
  });
  /*-------------------------
  * 歌曲播放列表
  -------------------------*/
 /* $.each( $('#playlist ul li'),function(){
	$(this).bind('mouseover',function(){$(this).css('background-color','#d9e8fd');});
	$(this).bind('mouseout',function(){$(this).css('background-color','#e6f2fe');});
  });*/
  /*-------------------------
  * 悬浮层左边距设置
  -------------------------*/
  $('#search_tab').css('left',(document.body.clientWidth-1010)/2+287);
  $('#mail_con').css('left',(document.body.clientWidth-1010)/2+20);
  $('#key_top_10').css('left',(document.body.clientWidth-1010)/2+835);
  $('#CSBox').css('left',(document.body.clientWidth-1010)/2+660);
  $('#container').css('left',(document.body.clientWidth-1010)/2+180);
  $("#bottom_bar").animate({opacity:0.9},0);
  /*-------------------------
  * 显示自定网址
  -------------------------*/
  $('#container').bind('onmouseover',function(){})
                 .bind('onmouseout',function(){document.body.scroll="yes"});
  UpdataCustom();
  /*-------------------------
  * 检测用户登录
  -------------------------*/
  var username = ReadCookie("LoginId");
  if(username)
  {
	$("#wel_user").html(username);
	$("#login_form").fadeOut(0);
	$("#user_info").fadeIn(100);
  }
//  RefreshMusic();
});
